0% Interest for 36 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
Presidents' Day Sale!

SweetCare®

EZ Drummer is not authorizing on a Mac running OS X.3 or X.4.

If you experience issues on attempting to authorize EZdrummer on Mac OS X, for example if the host sequencer crashes repeatedly, please make sure you update to the latest version and try again.

You can find the latest update at http://www.ezdrummer.com/support/, after creating an account, on the download tab.

On some older computers running 10.3 Panther the cursor sometimes will not be visible. This is a visual issue with certain graphic cards currently being investigated.

In such event copy/paste the code emailed to you and follow this by hitting return even if you cannot see any result from the copy/pasting. This will in many cases be successful.

Should none of the above authorize EZdrummer successfully please contact the support email address with your complete system specifications, Computer ID and serial number.

Hundreds of Deals in the DealZone